from . import db
from sqlalchemy.ext.declarative import declared_attr
from backend.utils.misc import full_table_name


class ModelBase(db.Model):

    __abstract__ = True

    @declared_attr
    def __tablename__(cls):
        return full_table_name(cls.__tablename_base__)
