from marshmallow import fields
from backend.schemas import BaseSchema
from backend.models import UserConfig
from backend.models.user_config import UserConfigParam
from marshmallow_enum import EnumField


class UserConfigSchema(BaseSchema):
    class Meta:
        model = UserConfig
        load_instance = True

    dss_user_login = fields.Str(allow_none=False)
    param = EnumField(UserConfigParam, allow_none=False)
    param_value = fields.Str()
